body {
    height: 100%;
    margin: 0;
}
svg {
    fill: currentColor !important;
}

.btn.btn-outline-reset {
    background-color: #fff;
    color: #de7e00;
    border-color: #fc9403
}

.btn.btn-outline-reset:hover {
    background-color: #fc9403;
    border-color: #de7e00;
    color: #fff;
}

[class*="col-"] {
    margin-bottom: 25px;
}

.logincont {
    padding-left: 35px;
    width: calc(100% - 205px);
}

.logincont textarea {
    margin-bottom: 1em;
}

@media (max-width: 991px) {
    .logincont {
        padding-left: 0px;
        width: 100%;
    }
}

.mouse-link {
    cursor: pointer;
}

.card-table {
    width: 100%;
}

.table-responsive {
    display: table;
}

.table-responsive.collapse:not(.show) {
    display: none;
}

.padding-card-sections {
    margin: 15px 0;
}

.btn {
    cursor: pointer;
}

@-moz-keyframes rotatecaret /*--for firefox--*/
{

    from {
        -moz-transform: rotate(0deg);
    }
    to {
        -moz-transform: rotate(-180deg);
    }

}

@-webkit-keyframes rotatecaret /*--for webkit--*/
{

    from {
        -webkit-transform: rotate(0deg);
    }
    to {
        -webkit-transform: rotate(-180deg);
    }

}

@keyframes rotatecaret /*--for firefox--*/
{

    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(-180deg);
    }

}

@-moz-keyframes rotatecaret-back /*--for firefox--*/
{

    from {
        -moz-transform: rotate(-180deg);
    }
    to {
        -moz-transform: rotate(0deg);
    }

}

@-webkit-keyframes rotatecaret-back /*--for webkit--*/
{

    from {
        -webkit-transform: rotate(-180deg);
    }
    to {
        -webkit-transform: rotate(0deg);
    }

}

@keyframes rotatecaret-back /*--for firefox--*/
{

    from {
        transform: rotate(-180deg);
    }
    to {
        transform: rotate(0deg);
    }

}

.rotatecaret {
    animation-name: rotatecaret;
    animation-duration: 300ms;
    animation-fill-mode: forwards;
    transform: rotate(-180deg);
}

.rotatecaret-up {
    animation-name: rotatecaret-back;
    animation-duration: 300ms;
    animation-fill-mode: forwards;
    transform: rotate(0deg);
}

table.collapse.in {
    display: table;
}

.inline {
    display: inline;
}

/*
    Anchor offset for fixed header
 */
.rr-list-anchor {
    padding-top: 200px;
    margin-top: -200px;
}

.rr-head-anchor {
    padding-top: 130px;
    margin-top: -130px;
}

.vertical-center {
    display: table-cell;
    vertical-align: middle !important;
}

.fill {
    width: 100%;
}

.tr-row {
    align-items: center;
    margin-bottom: 15px;
}

.cell-50 {
    width: 50%;
}

@media print {
    .address-table {
        width: 99vw;
        max-width: 100vw;
        overflow-x: hidden;
    }

    .card-header {
        font-weight: bold;
    }
}

.address-table .rr-data, .address-table .fqdn {
    word-break: break-all;
}

.pull-right {
    float: right;
}
.pull-left {
    float: left;
}

.invisible-scrollbar::-webkit-scrollbar {
    width: 0;
    background: transparent;
}

.popover-wide {
    max-width: 100vw !important;
    white-space: nowrap !important;
}

.nowrap {
    white-space: nowrap;
}

.fade-in {
    animation: fadein .5s;
}

@keyframes fadein {
    from { opacity: 0; }
    to   { opacity: 1; }
}

.barrel {
    animation-name: spin;
    animation-duration: 1s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}

@keyframes spin {
    from {
        transform:rotate(0deg);
    }
    to {
        transform:rotate(360deg);
    }
}

.shake {
    animation: shake 0.5s;
    animation-iteration-count: infinite;
}

.shake-1s {
    animation: shake 0.5s;
    animation-iteration-count: 2;
}

@keyframes shake {
    0% { transform: translate(1px, 1px) rotate(0deg); }
    10% { transform: translate(-1px, -2px) rotate(-1deg); }
    20% { transform: translate(-3px, 0px) rotate(1deg); }
    30% { transform: translate(3px, 2px) rotate(0deg); }
    40% { transform: translate(1px, -1px) rotate(1deg); }
    50% { transform: translate(-1px, 2px) rotate(-1deg); }
    60% { transform: translate(-3px, 1px) rotate(0deg); }
    70% { transform: translate(3px, 1px) rotate(-1deg); }
    80% { transform: translate(-1px, -1px) rotate(1deg); }
    90% { transform: translate(1px, 2px) rotate(0deg); }
    100% { transform: translate(1px, -2px) rotate(-1deg); }
}